Get policy violation
curl --request GET \
--url https://app.cysmiq.com/api/v1/{tenant_slug}/policy-violations/{violation} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.cysmiq.com/api/v1/{tenant_slug}/policy-violations/{violation}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cysmiq.com/api/v1/{tenant_slug}/policy-violations/{violation}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"violation": {
"id": "pvl_01hxyz",
"status": "open",
"enforcement_mode": "block",
"blocking": true,
"due_at": "2026-02-01T00:00:00Z",
"remaining_seconds": 604800,
"snoozed": false,
"snoozed_until": null,
"snooze_count": 0,
"first_seen_at": "2026-01-10T09:14:00Z",
"last_seen_at": "2026-01-20T10:12:00Z",
"resolved_at": null,
"metadata": {
"severity": "high",
"cvss_score": 8.2,
"epss_score": 0.72,
"reference_ref": "main",
"environment_key": "prod"
}
},
"policy": {
"id": "pol_01hxyz",
"key": "vuln_high_sla",
"name": "High Severity SLA",
"type": "custom",
"status": "active",
"target_type": "vulnerability",
"enforcement_mode": "block",
"severity": null,
"config": null,
"condition": {
"all": [
{
"fact": "cvss_score",
"operator": ">=",
"value": 7.5
}
]
},
"actions": {
"sla": {
"window": "7d"
}
}
},
"override": null,
"rule": null,
"scope": {
"type": "repo",
"id": "repo_01hxyz",
"name": "acme/widgets"
},
"target": {
"type": "vulnerability",
"id": "vc_01hxyz",
"title": "Prototype Pollution in lodash",
"severity": "high",
"status": "open",
"vulnerability_type": "dependency"
},
"scan": {
"id": "scan_01hxyz",
"status": "completed",
"ref": "main",
"sha": "a1b2c3d4",
"finished_at": "2026-01-14T17:45:00Z",
"started_at": "2026-01-14T17:40:00Z"
}
}Policy Violations
Get policy violation
Returns detailed policy violation context, including policy, scope, target, and SLA timing.
GET
/
{tenant_slug}
/
policy-violations
/
{violation}
Get policy violation
curl --request GET \
--url https://app.cysmiq.com/api/v1/{tenant_slug}/policy-violations/{violation} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.cysmiq.com/api/v1/{tenant_slug}/policy-violations/{violation}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cysmiq.com/api/v1/{tenant_slug}/policy-violations/{violation}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"violation": {
"id": "pvl_01hxyz",
"status": "open",
"enforcement_mode": "block",
"blocking": true,
"due_at": "2026-02-01T00:00:00Z",
"remaining_seconds": 604800,
"snoozed": false,
"snoozed_until": null,
"snooze_count": 0,
"first_seen_at": "2026-01-10T09:14:00Z",
"last_seen_at": "2026-01-20T10:12:00Z",
"resolved_at": null,
"metadata": {
"severity": "high",
"cvss_score": 8.2,
"epss_score": 0.72,
"reference_ref": "main",
"environment_key": "prod"
}
},
"policy": {
"id": "pol_01hxyz",
"key": "vuln_high_sla",
"name": "High Severity SLA",
"type": "custom",
"status": "active",
"target_type": "vulnerability",
"enforcement_mode": "block",
"severity": null,
"config": null,
"condition": {
"all": [
{
"fact": "cvss_score",
"operator": ">=",
"value": 7.5
}
]
},
"actions": {
"sla": {
"window": "7d"
}
}
},
"override": null,
"rule": null,
"scope": {
"type": "repo",
"id": "repo_01hxyz",
"name": "acme/widgets"
},
"target": {
"type": "vulnerability",
"id": "vc_01hxyz",
"title": "Prototype Pollution in lodash",
"severity": "high",
"status": "open",
"vulnerability_type": "dependency"
},
"scan": {
"id": "scan_01hxyz",
"status": "completed",
"ref": "main",
"sha": "a1b2c3d4",
"finished_at": "2026-01-14T17:45:00Z",
"started_at": "2026-01-14T17:40:00Z"
}
}Authorizations
Use a Cysmiq API token in the Authorization header: Bearer {token}.
Path Parameters
Policy violation prefixed id (pvl_...).
Query Parameters
Maximum string length:
255Response
Policy violation detail response.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
target
Option 1 · objectOption 2 · objectOption 3 · objectOption 4 · objectOption 5 · objectOption 6 · objectOption 7 · objectOption 8 · objectOption 9 · any[]
required
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I